<md-card>

  <!-- No menu available -->
  <div *ngIf="!dailyMenu" fxLayout="row" class="noMenu">
    <div fxFlex="40%" class="right-text">
      <md-icon class="hungryIcon">mood_bad</md-icon>
    </div>
    <div fxFlex="60%">
      <h3 style="float:left">Today there is no menu prepared!<br> Some fasting will be good for you ;)</h3>
    </div>
  </div>

  <!-- Available Menu -->
  <div *ngIf="dailyMenu">
    <form [formGroup]="dailyOrderForm" autocomplete="off">

      <div fxLayout="row">

        <!-- Main Foods Column -->
        <div fxLayout="column" fxFlex="29%" class="food-type">
          <div>
            <h3><i [class]="customIcons.getCustomIcon('MAIN')"></i>Main dishes</h3>
          </div>
          <div class="foodsList">
            <div fxLayout="row" *ngFor="let food of foods.get('main').getFoodsAsArray()" [ngClass]="{disabled: isFinal}" class="food">
              <div fxFlex="58%">
                <p>
                  <span mdTooltip="{{food.description}}" mdTooltipPosition="above">{{food.name}}</span>
                </p>
              </div>
              <div fxFlex="15%" class="center-text">
                <md-input-container>
                  <input mdInput class="no-spin" type="number" min="0" max="99" step="1" formControlName="{{food.id}}">
                  <md-error>Invalid</md-error>
                </md-input-container>
              </div>
              <div fxFlex="10%" fxLayout="column" class="center-text">
                <div>
                  <button md-mini-fab color="primary" class="quantityButton" (click)="changeQuantity(food.id, 1)" [disabled]="dailyOrderForm.get('' + food.id).value >= 99 || !editMode">
                    <md-icon class="quantityButtonIcon">add</md-icon>
                  </button>
                </div>
                <div>
                  <button md-mini-fab color="primary" class="quantityButton" (click)="changeQuantity(food.id, -1)" [disabled]="dailyOrderForm.get('' + food.id).value <= 0 || !editMode">
                    <md-icon class="quantityButtonIcon">remove</md-icon>
                  </button>
                </div>
              </div>
              <div fxFlex="17%">
                <p class="right-text bold-text">&times; {{food.price | number:'1.2'}}<span [innerHTML]="globalSettingsService.getCurrency() | async"></span></p>
              </div>
            </div>
          </div>
        </div>
        <!-- /Main Foods Column -->

        <!-- Salads Column -->
        <div fxLayout="column" fxFlex="29%" class="food-type">
          <div>
            <h3><i [class]="customIcons.getCustomIcon('SALAD')"></i>Salads</h3>
          </div>
          <div class="foodsList">
            <div fxLayout="row" *ngFor="let food of foods.get('salad').getFoodsAsArray()" [ngClass]="{disabled: isFinal}" class="food">
              <div fxFlex="58%">
                <p>
                  <span mdTooltip="{{food.description}}" mdTooltipPosition="above">{{food.name}}</span>
                </p>
              </div>
              <div fxFlex="15%" class="center-text">
                <md-input-container>
                  <input mdInput class="no-spin" type="number" min="0" max="99" step="1" formControlName="{{food.id}}">
                  <md-error>Invalid</md-error>
                </md-input-container>
              </div>
              <div fxFlex="10%" fxLayout="column" class="center-text">
                <div>
                  <button md-mini-fab color="primary" class="quantityButton" (click)="changeQuantity(food.id, 1)" [disabled]="dailyOrderForm.get('' + food.id).value >= 99 || !editMode">
                    <md-icon class="quantityButtonIcon">add</md-icon>
                  </button>
                </div>
                <div>
                  <button md-mini-fab color="primary" class="quantityButton" (click)="changeQuantity(food.id, -1)" [disabled]="dailyOrderForm.get('' + food.id).value <= 0 || !editMode">
                    <md-icon class="quantityButtonIcon">remove</md-icon>
                  </button>
                </div>
              </div>
              <div fxFlex="17%">
                <p class="right-text bold-text">&times; {{food.price | number:'1.2'}}<span [innerHTML]="globalSettingsService.getCurrency() | async"></span></p>
              </div>
            </div>
          </div>
        </div>
        <!-- /Salads Column -->

        <!-- Drinks Column -->
        <div fxLayout="column" fxFlex="29%" class="food-type">
          <div>
            <h3><i [class]="customIcons.getCustomIcon('DRINK')"></i>Drinks</h3>
          </div>
          <div class="foodsList">
            <div fxLayout="row" *ngFor="let food of foods.get('drink').getFoodsAsArray()" [ngClass]="{disabled: isFinal}" class="food">
              <div fxFlex="58%">
                <p>
                  <span mdTooltip="{{food.description}}" mdTooltipPosition="above">{{food.name}}</span>
                </p>
              </div>
              <div fxFlex="15%" class="center-text">
                <md-input-container>
                  <input mdInput class="no-spin" type="number" min="0" max="99" step="1" formControlName="{{food.id}}">
                  <md-error>Invalid</md-error>
                </md-input-container>
              </div>
              <div fxFlex="10%" fxLayout="column" class="center-text">
                <div>
                  <button md-mini-fab color="primary" class="quantityButton" (click)="changeQuantity(food.id, 1)" [disabled]="dailyOrderForm.get('' + food.id).value >= 99 || !editMode">
                    <md-icon class="quantityButtonIcon">add</md-icon>
                  </button>
                </div>
                <div>
                  <button md-mini-fab color="primary" class="quantityButton" (click)="changeQuantity(food.id, -1)" [disabled]="dailyOrderForm.get('' + food.id).value <= 0 || !editMode">
                    <md-icon class="quantityButtonIcon">remove</md-icon>
                  </button>
                </div>
              </div>
              <div fxFlex="17%">
                <p class="right-text bold-text">&times; {{food.price | number:'1.2'}}<span [innerHTML]="globalSettingsService.getCurrency() | async"></span></p>
              </div>
            </div>
          </div>
        </div>
        <!-- /Drinks Column -->

        <!-- Total Column -->
        <div fxLayout="column" fxFlex="13%" class="total">
          <div>
            <h3>Total</h3>
          </div>
          <div fxFlex="50%" class="totalPrice">
            <h3>{{total | number:'1.2' }}<span [innerHTML]="globalSettingsService.getCurrency() | async"></span></h3>
          </div>
          <div class="text-center">
            <div class="placeOrder" *ngIf="editMode">
              <button md-button color="primary" class="button-strong-text" (click)="openPlaceOrderDialog()" [disabled]="!dailyOrderForm.valid || buttonDisable || total === 0 || dailyOrderForm.pristine">{{orderButtonText}}</button>
              <button md-button color="accent" class="button-strong-text" (click)="discardChanges()" [disabled]="buttonDisable" *ngIf="hasOrdered">Discard</button>
            </div>
            <div class="ordered" *ngIf="!editMode && hasOrdered">
              <div class="greenChip">Order placed
                <md-icon>check</md-icon>
              </div>
              <button md-button color="primary" class="button-strong-text" (click)="ordersIdGet()" [disabled]="isFinal || buttonDisable">Modify</button>
              <button md-button color="accent" class="button-strong-text" (click)="openCancelOrderDialog()" [disabled]="isFinal || buttonDisable">Cancel Order</button>
            </div>
            <div class="working-spinner" *ngIf="buttonDisable">
              <md-spinner color="warn" class="small-md-spinner"></md-spinner>
            </div>
          </div>
        </div>
        <!-- /Total Column -->

      </div>

    </form>
  </div>

</md-card>
